## org.hibernate.envers.entities
Class EntitiesConfigurations

    java.lang.Object
      org.hibernate.envers.entities.EntitiesConfigurations

    public class EntitiesConfigurations

extends Object

Configuration of the user entities: property mapping of the entities, relations, inheritance.

Author:
  Adam Warski (adam at warski dot org), Hernán Chanfreau

Constructor Summary
`EntitiesConfigurations(Map<String,EntityConfiguration> entitiesConfigurations, Map<String,EntityConfiguration> notAuditedEntitiesConfigurations)`

Method Summary
`EntityConfiguration` `get(String entityName)`
`String` `getEntityNameForVersionsEntityName(String versionsEntityName)`
`EntityConfiguration` `getNotVersionEntityConfiguration(String entityName)`
`RelationDescription` `getRelationDescription(String entityName, String propertyName)`
`boolean` `isVersioned(String entityName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntitiesConfigurations

    public EntitiesConfigurations(Map<String,EntityConfiguration> entitiesConfigurations,
                                  Map<String,EntityConfiguration> notAuditedEntitiesConfigurations)

Method Detail

### get

    public EntityConfiguration get(String entityName)

### getNotVersionEntityConfiguration

    public EntityConfiguration getNotVersionEntityConfiguration(String entityName)

### getEntityNameForVersionsEntityName

    public String getEntityNameForVersionsEntityName(String versionsEntityName)

### isVersioned

    public boolean isVersioned(String entityName)

### getRelationDescription

    public RelationDescription getRelationDescription(String entityName,
                                                      String propertyName)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.